### Method

# WPEPlatform Display set_available_input_devices

#### Declaration [src]

    void
    wpe_display_set_available_input_devices (
      WPEDisplay* display,
      WPEAvailableInputDevices devices
    )

#### Description [src]

Sets the available input devices for a `display`.

This function should only be called by platform implementations.

Sets property | `WPEPlatform.Display:available-input-devices`

#### Parameters

`devices`

  Type: `WPEAvailableInputDevices`

  A `WPEAvailableInputDevices`.